### pro环境

dataSources:
  ds_0: !!com.alibaba.druid.pool.DruidDataSource
    url: jdbc:mysql://arob01.mysql.db.qmai.cn:3306/orderpro_01?characterEncoding=utf-8&useSSL=false&serverTimezone=Asia/Shanghai
    driverClassName: com.mysql.jdbc.Driver
    name: order_0
    username: orderpro
    password: adfa#hgd316
    initialSize: 10
    minIdle: 10
    testOnBorrow: false
    maxActive: 60
    maxWait: 2000
    testOnReturn: false
    validationQuery: select 1
    testWhileIdle: true
    timeBetweenEvictionRunsMillis: 60000
    minEvictableIdleTimeMillis: 300000
    removeAbandoned: true
    removeAbandonedTimeout: 1800
    asyncInit: true
  ds_1: !!com.alibaba.druid.pool.DruidDataSource
    url: jdbc:mysql://arob01.mysql.db.qmai.cn:3306/orderpro_02?characterEncoding=utf-8&useSSL=false&serverTimezone=Asia/Shanghai
    driverClassName: com.mysql.jdbc.Driver
    name: order_1
    username: orderpro
    password: adfa#hgd316
    initialSize: 10
    minIdle: 10
    testOnBorrow: false
    maxActive: 60
    maxWait: 2000
    testOnReturn: false
    validationQuery: select 1
    testWhileIdle: true
    timeBetweenEvictionRunsMillis: 60000
    minEvictableIdleTimeMillis: 300000
    removeAbandoned: true
    removeAbandonedTimeout: 1800
    asyncInit: true
  ds_2: !!com.alibaba.druid.pool.DruidDataSource
    url: jdbc:mysql://arob01.mysql.db.qmai.cn:3306/orderpro_03?characterEncoding=utf-8&useSSL=false&serverTimezone=Asia/Shanghai
    driverClassName: com.mysql.jdbc.Driver
    name: order_2
    username: orderpro
    password: adfa#hgd316
    initialSize: 10
    minIdle: 10
    testOnBorrow: false
    maxActive: 60
    maxWait: 2000
    testOnReturn: false
    validationQuery: select 1
    testWhileIdle: true
    timeBetweenEvictionRunsMillis: 60000
    minEvictableIdleTimeMillis: 300000
    removeAbandoned: true
    removeAbandonedTimeout: 1800
    asyncInit: true
  ds_3: !!com.alibaba.druid.pool.DruidDataSource
    url: jdbc:mysql://arob01.mysql.db.qmai.cn:3306/orderpro_04?characterEncoding=utf-8&useSSL=false&serverTimezone=Asia/Shanghai
    driverClassName: com.mysql.jdbc.Driver
    name: order_3
    username: orderpro
    password: adfa#hgd316
    initialSize: 10
    minIdle: 10
    testOnBorrow: false
    maxActive: 60
    maxWait: 2000
    testOnReturn: false
    validationQuery: select 1
    testWhileIdle: true
    timeBetweenEvictionRunsMillis: 60000
    minEvictableIdleTimeMillis: 300000
    removeAbandoned: true
    removeAbandonedTimeout: 1800
    asyncInit: true
  ds_4: !!com.alibaba.druid.pool.DruidDataSource
    url: jdbc:mysql://arob01.mysql.db.qmai.cn:3306/orderpro_05?characterEncoding=utf-8&useSSL=false&serverTimezone=Asia/Shanghai
    driverClassName: com.mysql.jdbc.Driver
    name: order_4
    username: orderpro
    password: adfa#hgd316
    initialSize: 10
    minIdle: 10
    testOnBorrow: false
    maxActive: 60
    maxWait: 2000
    testOnReturn: false
    validationQuery: select 1
    testWhileIdle: true
    timeBetweenEvictionRunsMillis: 60000
    minEvictableIdleTimeMillis: 300000
    removeAbandoned: true
    removeAbandonedTimeout: 1800
    asyncInit: true
  ds_5: !!com.alibaba.druid.pool.DruidDataSource
    url: jdbc:mysql://arob01.mysql.db.qmai.cn:3306/orderpro_06?characterEncoding=utf-8&useSSL=false&serverTimezone=Asia/Shanghai
    driverClassName: com.mysql.jdbc.Driver
    name: order_5
    username: orderpro
    password: adfa#hgd316
    initialSize: 10
    minIdle: 10
    testOnBorrow: false
    maxActive: 60
    maxWait: 2000
    testOnReturn: false
    validationQuery: select 1
    testWhileIdle: true
    timeBetweenEvictionRunsMillis: 60000
    minEvictableIdleTimeMillis: 300000
    removeAbandoned: true
    removeAbandonedTimeout: 1800
    asyncInit: true
  ds_6: !!com.alibaba.druid.pool.DruidDataSource
    url: jdbc:mysql://arob01.mysql.db.qmai.cn:3306/orderpro_07?characterEncoding=utf-8&useSSL=false&serverTimezone=Asia/Shanghai
    driverClassName: com.mysql.jdbc.Driver
    name: order_6
    username: orderpro
    password: adfa#hgd316
    initialSize: 10
    minIdle: 10
    testOnBorrow: false
    maxActive: 60
    maxWait: 2000
    testOnReturn: false
    validationQuery: select 1
    testWhileIdle: true
    timeBetweenEvictionRunsMillis: 60000
    minEvictableIdleTimeMillis: 300000
    removeAbandoned: true
    removeAbandonedTimeout: 1800
    asyncInit: true
  ds_7: !!com.alibaba.druid.pool.DruidDataSource
    url: jdbc:mysql://arob01.mysql.db.qmai.cn:3306/orderpro_08?characterEncoding=utf-8&useSSL=false&serverTimezone=Asia/Shanghai
    driverClassName: com.mysql.jdbc.Driver
    name: order_7
    username: orderpro
    password: adfa#hgd316
    initialSize: 10
    minIdle: 10
    testOnBorrow: false
    maxActive: 60
    maxWait: 2000
    testOnReturn: false
    validationQuery: select 1
    testWhileIdle: true
    timeBetweenEvictionRunsMillis: 60000
    minEvictableIdleTimeMillis: 300000
    removeAbandoned: true
    removeAbandonedTimeout: 1800
    asyncInit: true
  ds_8: !!com.alibaba.druid.pool.DruidDataSource
    url: jdbc:mysql://arob01.mysql.db.qmai.cn:3306/orderpro_09?characterEncoding=utf-8&useSSL=false&serverTimezone=Asia/Shanghai
    driverClassName: com.mysql.jdbc.Driver
    name: order_8
    username: orderpro
    password: adfa#hgd316
    initialSize: 10
    minIdle: 10
    testOnBorrow: false
    maxActive: 60
    maxWait: 2000
    testOnReturn: false
    validationQuery: select 1
    testWhileIdle: true
    timeBetweenEvictionRunsMillis: 60000
    minEvictableIdleTimeMillis: 300000
    removeAbandoned: true
    removeAbandonedTimeout: 1800
    asyncInit: true
  ds_9: !!com.alibaba.druid.pool.DruidDataSource
    url: jdbc:mysql://arob01.mysql.db.qmai.cn:3306/orderpro_10?characterEncoding=utf-8&useSSL=false&serverTimezone=Asia/Shanghai
    driverClassName: com.mysql.jdbc.Driver
    name: order_9
    username: orderpro
    password: adfa#hgd316
    initialSize: 10
    minIdle: 10
    testOnBorrow: false
    maxActive: 60
    maxWait: 2000
    testOnReturn: false
    validationQuery: select 1
    testWhileIdle: true
    timeBetweenEvictionRunsMillis: 60000
    minEvictableIdleTimeMillis: 300000
    removeAbandoned: true
    removeAbandonedTimeout: 1800
    asyncInit: true
  ds_10: !!com.alibaba.druid.pool.DruidDataSource
    url: jdbc:mysql://arob01.mysql.db.qmai.cn:3306/orderpro_11?characterEncoding=utf-8&useSSL=false&serverTimezone=Asia/Shanghai
    driverClassName: com.mysql.jdbc.Driver
    name: order_10
    username: orderpro
    password: adfa#hgd316
    initialSize: 10
    minIdle: 10
    testOnBorrow: false
    maxActive: 60
    maxWait: 2000
    testOnReturn: false
    validationQuery: select 1
    testWhileIdle: true
    timeBetweenEvictionRunsMillis: 60000
    minEvictableIdleTimeMillis: 300000
    removeAbandoned: true
    removeAbandonedTimeout: 1800
    asyncInit: true
  ds_11: !!com.alibaba.druid.pool.DruidDataSource
    url: jdbc:mysql://arob01.mysql.db.qmai.cn:3306/orderpro_12?characterEncoding=utf-8&useSSL=false&serverTimezone=Asia/Shanghai
    driverClassName: com.mysql.jdbc.Driver
    name: order_11
    username: orderpro
    password: adfa#hgd316
    initialSize: 10
    minIdle: 10
    testOnBorrow: false
    maxActive: 60
    maxWait: 2000
    testOnReturn: false
    validationQuery: select 1
    testWhileIdle: true
    timeBetweenEvictionRunsMillis: 60000
    minEvictableIdleTimeMillis: 300000
    removeAbandoned: true
    removeAbandonedTimeout: 1800
    asyncInit: true
  ds_12: !!com.alibaba.druid.pool.DruidDataSource
    url: jdbc:mysql://arob01.mysql.db.qmai.cn:3306/orderpro_13?characterEncoding=utf-8&useSSL=false&serverTimezone=Asia/Shanghai
    driverClassName: com.mysql.jdbc.Driver
    name: order_12
    username: orderpro
    password: adfa#hgd316
    initialSize: 10
    minIdle: 10
    testOnBorrow: false
    maxActive: 60
    maxWait: 2000
    testOnReturn: false
    validationQuery: select 1
    testWhileIdle: true
    timeBetweenEvictionRunsMillis: 60000
    minEvictableIdleTimeMillis: 300000
    removeAbandoned: true
    removeAbandonedTimeout: 1800
    asyncInit: true
  ds_13: !!com.alibaba.druid.pool.DruidDataSource
    url: jdbc:mysql://arob01.mysql.db.qmai.cn:3306/orderpro_14?characterEncoding=utf-8&useSSL=false&serverTimezone=Asia/Shanghai
    driverClassName: com.mysql.jdbc.Driver
    name: order_13
    username: orderpro
    password: adfa#hgd316
    initialSize: 10
    minIdle: 10
    testOnBorrow: false
    maxActive: 60
    maxWait: 2000
    testOnReturn: false
    validationQuery: select 1
    testWhileIdle: true
    timeBetweenEvictionRunsMillis: 60000
    minEvictableIdleTimeMillis: 300000
    removeAbandoned: true
    removeAbandonedTimeout: 1800
    asyncInit: true
  ds_14: !!com.alibaba.druid.pool.DruidDataSource
    url: jdbc:mysql://arob01.mysql.db.qmai.cn:3306/orderpro_15?characterEncoding=utf-8&useSSL=false&serverTimezone=Asia/Shanghai
    driverClassName: com.mysql.jdbc.Driver
    name: order_14
    username: orderpro
    password: adfa#hgd316
    initialSize: 10
    minIdle: 10
    testOnBorrow: false
    maxActive: 60
    maxWait: 2000
    testOnReturn: false
    validationQuery: select 1
    testWhileIdle: true
    timeBetweenEvictionRunsMillis: 60000
    minEvictableIdleTimeMillis: 300000
    removeAbandoned: true
    removeAbandonedTimeout: 1800
    asyncInit: true
  ds_15: !!com.alibaba.druid.pool.DruidDataSource
    url: jdbc:mysql://arob01.mysql.db.qmai.cn:3306/orderpro_16?characterEncoding=utf-8&useSSL=false&serverTimezone=Asia/Shanghai
    driverClassName: com.mysql.jdbc.Driver
    name: order_15
    username: orderpro
    password: adfa#hgd316
    initialSize: 10
    minIdle: 10
    testOnBorrow: false
    maxActive: 60
    maxWait: 2000
    testOnReturn: false
    validationQuery: select 1
    testWhileIdle: true
    timeBetweenEvictionRunsMillis: 60000
    minEvictableIdleTimeMillis: 300000
    removeAbandoned: true
    removeAbandonedTimeout: 1800
    asyncInit: true
  ds_16: !!com.alibaba.druid.pool.DruidDataSource
    url: jdbc:mysql://arob01.mysql.db.qmai.cn:3306/orderpro_17?characterEncoding=utf-8&useSSL=false&serverTimezone=Asia/Shanghai
    driverClassName: com.mysql.jdbc.Driver
    name: order_16
    username: orderpro
    password: adfa#hgd316
    initialSize: 10
    minIdle: 10
    testOnBorrow: false
    maxActive: 60
    maxWait: 2000
    testOnReturn: false
    validationQuery: select 1
    testWhileIdle: true
    timeBetweenEvictionRunsMillis: 60000
    minEvictableIdleTimeMillis: 300000
    removeAbandoned: true
    removeAbandonedTimeout: 1800
    asyncInit: true
  ds_17: !!com.alibaba.druid.pool.DruidDataSource
    url: jdbc:mysql://arob01.mysql.db.qmai.cn:3306/orderpro_18?characterEncoding=utf-8&useSSL=false&serverTimezone=Asia/Shanghai
    driverClassName: com.mysql.jdbc.Driver
    name: order_17
    username: orderpro
    password: adfa#hgd316
    initialSize: 10
    minIdle: 10
    testOnBorrow: false
    maxActive: 60
    maxWait: 2000
    testOnReturn: false
    validationQuery: select 1
    testWhileIdle: true
    timeBetweenEvictionRunsMillis: 60000
    minEvictableIdleTimeMillis: 300000
    removeAbandoned: true
    removeAbandonedTimeout: 1800
    asyncInit: true
  ds_18: !!com.alibaba.druid.pool.DruidDataSource
    url: jdbc:mysql://arob01.mysql.db.qmai.cn:3306/orderpro_19?characterEncoding=utf-8&useSSL=false&serverTimezone=Asia/Shanghai
    driverClassName: com.mysql.jdbc.Driver
    name: order_18
    username: orderpro
    password: adfa#hgd316
    initialSize: 10
    minIdle: 10
    testOnBorrow: false
    maxActive: 60
    maxWait: 2000
    testOnReturn: false
    validationQuery: select 1
    testWhileIdle: true
    timeBetweenEvictionRunsMillis: 60000
    minEvictableIdleTimeMillis: 300000
    removeAbandoned: true
    removeAbandonedTimeout: 1800
    asyncInit: true
  ds_19: !!com.alibaba.druid.pool.DruidDataSource
    url: jdbc:mysql://arob01.mysql.db.qmai.cn:3306/orderpro_20?characterEncoding=utf-8&useSSL=false&serverTimezone=Asia/Shanghai
    driverClassName: com.mysql.jdbc.Driver
    name: order_19
    username: orderpro
    password: adfa#hgd316
    initialSize: 10
    minIdle: 10
    testOnBorrow: false
    maxActive: 60
    maxWait: 2000
    testOnReturn: false
    validationQuery: select 1
    testWhileIdle: true
    timeBetweenEvictionRunsMillis: 60000
    minEvictableIdleTimeMillis: 300000
    removeAbandoned: true
    removeAbandonedTimeout: 1800
    asyncInit: true
  ds_20: !!com.alibaba.druid.pool.DruidDataSource
    url: jdbc:mysql://arob01.mysql.db.qmai.cn:3306/orderpro_21?characterEncoding=utf-8&useSSL=false&serverTimezone=Asia/Shanghai
    driverClassName: com.mysql.jdbc.Driver
    name: order_20
    username: orderpro
    password: adfa#hgd316
    initialSize: 10
    minIdle: 10
    testOnBorrow: false
    maxActive: 60
    maxWait: 2000
    testOnReturn: false
    validationQuery: select 1
    testWhileIdle: true
    timeBetweenEvictionRunsMillis: 60000
    minEvictableIdleTimeMillis: 300000
    removeAbandoned: true
    removeAbandonedTimeout: 1800
    asyncInit: true
  ds_21: !!com.alibaba.druid.pool.DruidDataSource
    url: jdbc:mysql://arob01.mysql.db.qmai.cn:3306/orderpro_22?characterEncoding=utf-8&useSSL=false&serverTimezone=Asia/Shanghai
    driverClassName: com.mysql.jdbc.Driver
    name: order_21
    username: orderpro
    password: adfa#hgd316
    initialSize: 10
    minIdle: 10
    testOnBorrow: false
    maxActive: 60
    maxWait: 2000
    testOnReturn: false
    validationQuery: select 1
    testWhileIdle: true
    timeBetweenEvictionRunsMillis: 60000
    minEvictableIdleTimeMillis: 300000
    removeAbandoned: true
    removeAbandonedTimeout: 1800
    asyncInit: true
  ds_22: !!com.alibaba.druid.pool.DruidDataSource
    url: jdbc:mysql://arob01.mysql.db.qmai.cn:3306/orderpro_23?characterEncoding=utf-8&useSSL=false&serverTimezone=Asia/Shanghai
    driverClassName: com.mysql.jdbc.Driver
    name: order_22
    username: orderpro
    password: adfa#hgd316
    initialSize: 10
    minIdle: 10
    testOnBorrow: false
    maxActive: 60
    maxWait: 2000
    testOnReturn: false
    validationQuery: select 1
    testWhileIdle: true
    timeBetweenEvictionRunsMillis: 60000
    minEvictableIdleTimeMillis: 300000
    removeAbandoned: true
    removeAbandonedTimeout: 1800
    asyncInit: true
  ds_23: !!com.alibaba.druid.pool.DruidDataSource
    url: jdbc:mysql://arob01.mysql.db.qmai.cn:3306/orderpro_24?characterEncoding=utf-8&useSSL=false&serverTimezone=Asia/Shanghai
    driverClassName: com.mysql.jdbc.Driver
    name: order_23
    username: orderpro
    password: adfa#hgd316
    initialSize: 10
    minIdle: 10
    testOnBorrow: false
    maxActive: 60
    maxWait: 2000
    testOnReturn: false
    validationQuery: select 1
    testWhileIdle: true
    timeBetweenEvictionRunsMillis: 60000
    minEvictableIdleTimeMillis: 300000
    removeAbandoned: true
    removeAbandonedTimeout: 1800
    asyncInit: true
  ds_24: !!com.alibaba.druid.pool.DruidDataSource
    url: jdbc:mysql://arob01.mysql.db.qmai.cn:3306/orderpro_25?characterEncoding=utf-8&useSSL=false&serverTimezone=Asia/Shanghai
    driverClassName: com.mysql.jdbc.Driver
    name: order_24
    username: orderpro
    password: adfa#hgd316
    initialSize: 10
    minIdle: 10
    testOnBorrow: false
    maxActive: 60
    maxWait: 2000
    testOnReturn: false
    validationQuery: select 1
    testWhileIdle: true
    timeBetweenEvictionRunsMillis: 60000
    minEvictableIdleTimeMillis: 300000
    removeAbandoned: true
    removeAbandonedTimeout: 1800
    asyncInit: true
  ds_25: !!com.alibaba.druid.pool.DruidDataSource
    url: jdbc:mysql://arob01.mysql.db.qmai.cn:3306/orderpro_26?characterEncoding=utf-8&useSSL=false&serverTimezone=Asia/Shanghai
    driverClassName: com.mysql.jdbc.Driver
    name: order_25
    username: orderpro
    password: adfa#hgd316
    initialSize: 10
    minIdle: 10
    testOnBorrow: false
    maxActive: 60
    maxWait: 2000
    testOnReturn: false
    validationQuery: select 1
    testWhileIdle: true
    timeBetweenEvictionRunsMillis: 60000
    minEvictableIdleTimeMillis: 300000
    removeAbandoned: true
    removeAbandonedTimeout: 1800
    asyncInit: true
  ds_26: !!com.alibaba.druid.pool.DruidDataSource
    url: jdbc:mysql://arob01.mysql.db.qmai.cn:3306/orderpro_27?characterEncoding=utf-8&useSSL=false&serverTimezone=Asia/Shanghai
    driverClassName: com.mysql.jdbc.Driver
    name: order_26
    username: orderpro
    password: adfa#hgd316
    initialSize: 10
    minIdle: 10
    testOnBorrow: false
    maxActive: 60
    maxWait: 2000
    testOnReturn: false
    validationQuery: select 1
    testWhileIdle: true
    timeBetweenEvictionRunsMillis: 60000
    minEvictableIdleTimeMillis: 300000
    removeAbandoned: true
    removeAbandonedTimeout: 1800
    asyncInit: true
  ds_27: !!com.alibaba.druid.pool.DruidDataSource
    url: jdbc:mysql://arob01.mysql.db.qmai.cn:3306/orderpro_28?characterEncoding=utf-8&useSSL=false&serverTimezone=Asia/Shanghai
    driverClassName: com.mysql.jdbc.Driver
    name: order_27
    username: orderpro
    password: adfa#hgd316
    initialSize: 10
    minIdle: 10
    testOnBorrow: false
    maxActive: 60
    maxWait: 2000
    testOnReturn: false
    validationQuery: select 1
    testWhileIdle: true
    timeBetweenEvictionRunsMillis: 60000
    minEvictableIdleTimeMillis: 300000
    removeAbandoned: true
    removeAbandonedTimeout: 1800
    asyncInit: true
  ds_28: !!com.alibaba.druid.pool.DruidDataSource
    url: jdbc:mysql://arob01.mysql.db.qmai.cn:3306/orderpro_29?characterEncoding=utf-8&useSSL=false&serverTimezone=Asia/Shanghai
    driverClassName: com.mysql.jdbc.Driver
    name: order_28
    username: orderpro
    password: adfa#hgd316
    initialSize: 10
    minIdle: 10
    testOnBorrow: false
    maxActive: 60
    maxWait: 2000
    testOnReturn: false
    validationQuery: select 1
    testWhileIdle: true
    timeBetweenEvictionRunsMillis: 60000
    minEvictableIdleTimeMillis: 300000
    removeAbandoned: true
    removeAbandonedTimeout: 1800
    asyncInit: true
  ds_29: !!com.alibaba.druid.pool.DruidDataSource
    url: jdbc:mysql://arob01.mysql.db.qmai.cn:3306/orderpro_30?characterEncoding=utf-8&useSSL=false&serverTimezone=Asia/Shanghai
    driverClassName: com.mysql.jdbc.Driver
    name: order_29
    username: orderpro
    password: adfa#hgd316
    initialSize: 10
    minIdle: 10
    testOnBorrow: false
    maxActive: 60
    maxWait: 2000
    testOnReturn: false
    validationQuery: select 1
    testWhileIdle: true
    timeBetweenEvictionRunsMillis: 60000
    minEvictableIdleTimeMillis: 300000
    removeAbandoned: true
    removeAbandonedTimeout: 1800
    asyncInit: true
  ds_30: !!com.alibaba.druid.pool.DruidDataSource
    url: jdbc:mysql://arob01.mysql.db.qmai.cn:3306/orderpro_31?characterEncoding=utf-8&useSSL=false&serverTimezone=Asia/Shanghai
    driverClassName: com.mysql.jdbc.Driver
    name: order_30
    username: orderpro
    password: adfa#hgd316
    initialSize: 10
    minIdle: 10
    testOnBorrow: false
    maxActive: 60
    maxWait: 2000
    testOnReturn: false
    validationQuery: select 1
    testWhileIdle: true
    timeBetweenEvictionRunsMillis: 60000
    minEvictableIdleTimeMillis: 300000
    removeAbandoned: true
    removeAbandonedTimeout: 1800
    asyncInit: true
  ds_31: !!com.alibaba.druid.pool.DruidDataSource
    url: jdbc:mysql://arob01.mysql.db.qmai.cn:3306/orderpro_32?characterEncoding=utf-8&useSSL=false&serverTimezone=Asia/Shanghai
    driverClassName: com.mysql.jdbc.Driver
    name: order_31
    username: orderpro
    password: adfa#hgd316
    initialSize: 10
    minIdle: 10
    testOnBorrow: false
    maxActive: 60
    maxWait: 2000
    testOnReturn: false
    validationQuery: select 1
    testWhileIdle: true
    timeBetweenEvictionRunsMillis: 60000
    minEvictableIdleTimeMillis: 300000
    removeAbandoned: true
    removeAbandonedTimeout: 1800
    asyncInit: true

shardingRule:
  tables:
    orders:
      actualDataNodes: ds_${0..31}.orders_${0..31}
      databaseStrategy:
        standard:
          shardingColumn: user_id
          preciseAlgorithmClassName: com.zm.order.tool.server.sharding.NewCommonNumberPreciseDataBaseAlgorithm
      tableStrategy:
        standard:
          shardingColumn: user_id
          preciseAlgorithmClassName: com.zm.order.tool.server.sharding.NewCommonNumberPreciseTableAlgorithm
    order_discounts:
      actualDataNodes: ds_${0..31}.order_discounts_${0..31}
      databaseStrategy:
        standard:
          shardingColumn: user_id
          preciseAlgorithmClassName: com.zm.order.tool.server.sharding.NewCommonNumberPreciseDataBaseAlgorithm
      tableStrategy:
        standard:
          shardingColumn: user_id
          preciseAlgorithmClassName: com.zm.order.tool.server.sharding.NewCommonNumberPreciseTableAlgorithm
    order_index:
      actualDataNodes: ds_${0..31}.order_index_${0..7}
      databaseStrategy:
        standard:
          shardingColumn: order_no
          preciseAlgorithmClassName: com.zm.order.tool.server.sharding.CommonStringPreciseDateBaseAlgorithm
      tableStrategy:
        standard:
          shardingColumn: order_no
          preciseAlgorithmClassName: com.zm.order.tool.server.sharding.CommonStringPreciseTableAlgorithm
    order_items:
      actualDataNodes: ds_${0..31}.order_items_${0..31}
      databaseStrategy:
        standard:
          shardingColumn: user_id
          preciseAlgorithmClassName: com.zm.order.tool.server.sharding.NewCommonNumberPreciseDataBaseAlgorithm
      tableStrategy:
        standard:
          shardingColumn: user_id
          preciseAlgorithmClassName: com.zm.order.tool.server.sharding.NewCommonNumberPreciseTableAlgorithm
    order_addresses:
      actualDataNodes: ds_${0..31}.order_addresses_${0..31}
      databaseStrategy:
        standard:
          shardingColumn: user_id
          preciseAlgorithmClassName: com.zm.order.tool.server.sharding.NewCommonNumberPreciseDataBaseAlgorithm
      tableStrategy:
        standard:
          shardingColumn: user_id
          preciseAlgorithmClassName: com.zm.order.tool.server.sharding.NewCommonNumberPreciseTableAlgorithm
    order_self_take:
      actualDataNodes: ds_${0..31}.order_self_take_${0..31}
      databaseStrategy:
        standard:
          shardingColumn: user_id
          preciseAlgorithmClassName: com.zm.order.tool.server.sharding.NewCommonNumberPreciseDataBaseAlgorithm
      tableStrategy:
        standard:
          shardingColumn: user_id
          preciseAlgorithmClassName: com.zm.order.tool.server.sharding.NewCommonNumberPreciseTableAlgorithm
    order_pay_details:
      actualDataNodes: ds_${0..31}.order_pay_details_${0..31}
      databaseStrategy:
        standard:
          shardingColumn: user_id
          preciseAlgorithmClassName: com.zm.order.tool.server.sharding.NewCommonNumberPreciseDataBaseAlgorithm
      tableStrategy:
        standard:
          shardingColumn: user_id
          preciseAlgorithmClassName: com.zm.order.tool.server.sharding.NewCommonNumberPreciseTableAlgorithm
    order_item_batching:
      actualDataNodes: ds_${0..31}.order_item_batching_${0..31}
      databaseStrategy:
        standard:
          shardingColumn: user_id
          preciseAlgorithmClassName: com.zm.order.tool.server.sharding.NewCommonNumberPreciseDataBaseAlgorithm
      tableStrategy:
        standard:
          shardingColumn: user_id
          preciseAlgorithmClassName: com.zm.order.tool.server.sharding.NewCommonNumberPreciseTableAlgorithm
    order_extends:
      actualDataNodes: ds_${0..31}.order_extends_${0..31}
      databaseStrategy:
        standard:
          shardingColumn: user_id
          preciseAlgorithmClassName: com.zm.order.tool.server.sharding.NewCommonNumberPreciseDataBaseAlgorithm
      tableStrategy:
        standard:
          shardingColumn: user_id
          preciseAlgorithmClassName: com.zm.order.tool.server.sharding.NewCommonNumberPreciseTableAlgorithm
    order_comment:
      actualDataNodes: ds_${0..31}.order_comment_${0..7}
      databaseStrategy:
        standard:
          shardingColumn: seller_id
          preciseAlgorithmClassName: com.zm.order.tool.server.sharding.CommonNumberPreciseDataBaseAlgorithm
      tableStrategy:
        standard:
          shardingColumn: seller_id
          preciseAlgorithmClassName: com.zm.order.tool.server.sharding.CommonNumberPreciseTableAlgorithm
    order_item_comment:
      actualDataNodes: ds_${0..31}.order_item_comment_${0..7}
      databaseStrategy:
        standard:
          shardingColumn: seller_id
          preciseAlgorithmClassName: com.zm.order.tool.server.sharding.CommonNumberPreciseDataBaseAlgorithm
      tableStrategy:
        standard:
          shardingColumn: seller_id
          preciseAlgorithmClassName: com.zm.order.tool.server.sharding.CommonNumberPreciseTableAlgorithm
  defaultDataSourceName: ds_0


